pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::ErrorFunctor Class Referenceabstract

`#include <pcl/registration/ia_ransac.h>`

Inheritance diagram for pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::ErrorFunctor:

## Public Member Functions

virtual | ~ErrorFunctor ()
virtual float | operator() (float d) const =0

## Detailed Description

### template<typename PointSource, typename PointTarget, typename FeatureT>
class pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::ErrorFunctor

Definition at line 88 of file ia_ransac.h.

## Constructor & Destructor Documentation

template<typename PointSource, typename PointTarget, typename FeatureT>

virtual pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::ErrorFunctor::~ErrorFunctor | ( |  | ) |

inline virtual

Definition at line 91 of file ia_ransac.h.

References pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::ErrorFunctor::operator()().

## Member Function Documentation

template<typename PointSource, typename PointTarget, typename FeatureT>

virtual float pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::ErrorFunctor::operator() | ( | float | d | ) | const

pure virtual

Implemented in pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::TruncatedError, and pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::HuberPenalty.

Referenced by pcl::SampleConsensusInitialAlignment< PointSource, PointTarget, FeatureT >::ErrorFunctor::~ErrorFunctor().

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/registration/include/pcl/registration/ia_ransac.h